Subject: RE: [midcom] STUN ietf-draft 05

From: "Kristoffer Gronowski" <[email-masked]>
Date: Fri, 28 Feb 2003 10:18:19 +0100

We have been testing STUN clients and servers on SipIt in Stockholm this week.
The majority used 0x01 for IPv4 so Rohan Mahy suggested that we should report this as
a typo. I believe that it would be more people out there that feels the same way.
It's not a big problem since one have to redo and check the current implementation when STUN
becomes a RFC.
But my vote is to change it back to 0x01.

//Regards Stoffe!

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: den 28 februari 2003 02:29
To: Panayiotis A. Thermos
Cc: [email-masked]; [email-masked]
Subject: Re: [midcom] STUN ietf-draft 05

I wish I had a better answer, but I have no idea why this changed. It 
could be that it was a copy-paste error that got snuck in when that 
paragraph was rewritten.

STUN is now in auth48, so it is conceivable to change it back, although 
I am not sure that is the right thing. Can people let me know which 
value they are using in their implementations today?

Thanks,
Jonathan R.

Panayiotis A. Thermos wrote:
> greetings,
> 
> Marc Petrovic pointed to me that an early implementation
> of STUN  at ( http://www.columbia.edu/~pt81/cs6901-08/cs6901-08.html)
> is setting the family field value of a STUN mesage, to 01 instead of 02
> (to indicate family IPv4) as it is noted in the  the latest STUN draft.
> Earlier versions of the draft  state to set the value to 02 (when using
> IPv6).
> Was this intented, and if so, what is the rationale behind it?
> 
> Peter
> 
> PS: For those interested, I will be posting a new STUN implementation at
> the above URL soon after
>         the SIPit event this week.
> 
> _______________________________________________
> midcom mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/midcom
> 

-- 
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom
_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom